Create Withdrawal Order (v2)¶
V2 is the recommended endpoint for creating withdrawal orders. It processes orders asynchronously to avoid the request timeouts that may occur with V1.\ \ The request parameters are identical to the Create Withdrawal Order (v1) endpoint.
If API Order Web-Based Approval is enabled by the administrator for the business line, any withdrawal amount that exceeds the configured Single Order Review Threshold (USD) will require review. The order will only be processed after all required approval stages are completed. Users with checker permission can approve the order either through the web portal or via the Review Order API.
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
b_id |
String | Business line ID |
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| from_wallet_code Required | String | From Wallet ID |
| coin_name Required | String | Coin name Allowed Value: Refer to Coin Name (API) column in Supported Token |
| order_no Required | String | Order number (max 50 characters). To ensure idempotency. |
| from_address | String | From address of the withdrawal transaction. Required when: (1) withdrawing from a DeFi wallet, or (2) performing an address-based withdrawal from a segregated wallet. Optional when performing wallet-level withdrawals (Only applicable for segregate wallets). |
| description Optional | String | Order description (max 50 characters). |
| fee_rate_level Optional | String | For BTC/ETH series Allowed values: NORMAL, HIGHER, LOW, CUSTOM |
| fee_rate Optional | Decimal | For BTC/ETH series, you need to provide the rate when using the CUSTOM for fee_rate_level. The valid range can be obtained from the Get Current Fee Rate Range API. For EIP1559 series, this parameter corresponds to the MaxFeeRate. |
| contract_transfer Optional | Boolean | Enable smart contract batch transfer Allowed values: false, true |
| contract_aggre Optional | Boolean | Enable smart contract batch aggregation Allowed values: false, true |
| resource_rental Optional | Boolean | Attempts to rent energy on the TRON network. If energy rental fails, the system will automatically use TRX to complete the transaction |
| force_rental Optional | Boolean | Attempts to rent energy on the TRON network; if unsuccessful, the order fails. |
| dest_address_item_list Required | Object[] | Destination address list details |
dest_address_item_list (object)
| Field | Type | Description |
|---|---|---|
| dest_address Required | String | Destination address |
| amount Required | Decimal | Withdrawal amount. Enter a whole number with no decimal places (e.g. 49500000, not 49500000.00000000). The value is in the coin's smallest unit; refer to the Decimals column in the Supported Token list, or the decimals field from the Get Supported Asset Information endpoint. Not required if is_all_withdrawal is set to true. |
| is_all_withdrawal Required | Boolean | If the order is full balance withdrawal. Allowed values: false, true |
| memo_type Optional | String | Memo type. Applicable to Stellar only. Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH |
| memo Optional | String | Memo or destination tag. An extra identifier attached to a transaction. The following chains support memo: STELLAR, RIPPLE, TON, VAULTA, COSMOS, KAVA, MANTRA, BABYLON, DYDX. |
| remark Optional | String | Remark (max 50 characters). |
Login cactus and click here to see the details about smart contract transfer and smart contract aggregation.
Funds may be frozen for other reasons, such as KYT or compliance requirements. Therefore, it is important to always use the available balance (available_amount) when initiating withdrawals, rather than the total balance.
Request Body Example¶
{
"from_address": "mioNv7xz1es2waP77gLQYypXesBbkT8BeX",
"from_wallet_code": "CHBTC4813422686",
"coin_name": "ETH",
"order_no": "TX00012345",
"description": "test order create",
"dest_address_item_list": [
{
"amount": 65000,
"dest_address": "mioNv7xz1es2waP77gLQYypXesBbkT8BeX",
"memo_type": "MEMO_TEXT",
"memo": "text",
"is_all_withdrawal": false,
"remark": "test order item"
}
]
}
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Shows withdrawal order number (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| OrderNo | String | Order ID |